## MMSimPreferredNetwork

MMSimPreferredNetwork

## Functions

MMSimPreferredNetwork * | mm_sim_preferred_network_new ()
const gchar * | mm_sim_preferred_network_get_operator_code ()
void | mm_sim_preferred_network_set_operator_code ()
MMModemAccessTechnology | mm_sim_preferred_network_get_access_technology ()
void | mm_sim_preferred_network_set_access_technology ()
void | mm_sim_preferred_network_free ()

## Types and Values

| MMSimPreferredNetwork

## Object Hierarchy

        GBoxed
        ╰── MMSimPreferredNetwork

## Description

## Functions

### mm_sim_preferred_network_new ()

    MMSimPreferredNetwork *
    mm_sim_preferred_network_new (void);

Creates a new empty MMSimPreferredNetwork.

#### Returns

a MMSimPreferredNetwork. The returned value should be freed with `mm_sim_preferred_network_free()`.

[transfer full]

Since: 1.18

### mm_sim_preferred_network_get_operator_code ()

    const gchar *
    mm_sim_preferred_network_get_operator_code
                                   (const MMSimPreferredNetwork *self);

Get the operator code (MCCMNC) of the preferred network.

#### Parameters

self | A MMSimPreferredNetwork. |

#### Returns

The operator code, or `NULL` if none available.

[transfer none]

Since: 1.18

### mm_sim_preferred_network_set_operator_code ()

    void
    mm_sim_preferred_network_set_operator_code
                                   (MMSimPreferredNetwork *self,
                                    const gchar *operator_code);

Set the operator code (MCCMNC) of this preferred network.

#### Parameters

self | A MMSimPreferredNetwork. |
operator_code | Operator code |

Since: 1.18

### mm_sim_preferred_network_get_access_technology ()

    MMModemAccessTechnology
    mm_sim_preferred_network_get_access_technology
                                   (const MMSimPreferredNetwork *self);

Get the access technology mask of the preferred network.

#### Parameters

self | A MMSimPreferredNetwork. |

#### Returns

A MMModemAccessTechnology.

Since: 1.18

### mm_sim_preferred_network_set_access_technology ()

    void
    mm_sim_preferred_network_set_access_technology
                                   (MMSimPreferredNetwork *self,
                                    MMModemAccessTechnology access_technology);

Set the desired access technologies of this preferred network entry.

#### Parameters

self | A MMSimPreferredNetwork. |
access_technology | A MMModemAccessTechnology mask. |

Since: 1.18

### mm_sim_preferred_network_free ()

    void
    mm_sim_preferred_network_free (MMSimPreferredNetwork *self);

Frees a MMSimPreferredNetwork.

#### Parameters

self | A MMSimPreferredNetwork. |

Since: 1.18

## Types and Values

### MMSimPreferredNetwork

    typedef struct _MMSimPreferredNetwork MMSimPreferredNetwork;

The MMSimPreferredNetwork structure contains private data and should only be accessed using the provided API.